import type { PayloadSerializer } from './payloadStoreTypes';
export type TemporaryFilePathResolver = () => string;
export declare const defaultTemporaryFilePathResolver: TemporaryFilePathResolver;
export declare class JsonStreamStringifySerializer implements PayloadSerializer {
    private readonly temporaryFilePathResolver;
    constructor(temporaryFilePathResolver?: TemporaryFilePathResolver);
    serialize(payload: unknown): Promise<{
        value: import("stream").Readable;
        size: number;
        destroy: () => Promise<void>;
    }>;
}
export declare const jsonStreamStringifySerializer: PayloadSerializer;
