import { z } from 'zod';
/**
 * When the payload is too large to be sent in a single message, it is offloaded to a storage service and a pointer to the offloaded payload is sent instead.
 * This schema represents the payload that is sent in place of the original payload.
 */
export declare const OFFLOADED_PAYLOAD_POINTER_PAYLOAD_SCHEMA: z.ZodObject<{
    offloadedPayloadPointer: z.ZodString;
    offloadedPayloadSize: z.ZodNumber;
}, "passthrough", z.ZodTypeAny, z.objectOutputType<{
    offloadedPayloadPointer: z.ZodString;
    offloadedPayloadSize: z.ZodNumber;
}, z.ZodTypeAny, "passthrough">, z.objectInputType<{
    offloadedPayloadPointer: z.ZodString;
    offloadedPayloadSize: z.ZodNumber;
}, z.ZodTypeAny, "passthrough">>;
export type OffloadedPayloadPointerPayload = z.infer<typeof OFFLOADED_PAYLOAD_POINTER_PAYLOAD_SCHEMA>;
export declare function isOffloadedPayloadPointerPayload(value: unknown): value is OffloadedPayloadPointerPayload;
